{% if g.search_background %}
  {% set background = g.search_background %}
{% else %}
  {% set background = '/base/images/bg-banner.jpg' %}
{% endif %}

<div role="main">
  <div role="main" class="main hero" style="background-image: url('{{ background }}')">
      <div class="container">
          <div class="row row1">
            <div class="col-md-6 col1">
              {% block promoted %}
                {% snippet 'home/snippets/promoted.html' %}
              {% endblock %}
            </div>
            <div class="col-md-6 col2" style="position: unset;">
              {% block search %}
                {% snippet 'home/snippets/search.html' %}
              {% endblock %}
            </div>
          </div>
        </div>
  </div>
  </div>
  <div role="main">
    <div class="container">
      <div class="row row2">
        {% block featured_group %}
        {% set category_dict = h.scheming_group_schemas() %}
        {% if category_dict and category_dict.keys()|length %}
          {% snippet 'home/snippets/multi_groups.html', category_dict=category_dict %}
        {% else %}
          {% set stats = h.get_site_statistics() %}
          {% snippet 'home/snippets/groups.html', stats=stats %}
        {% endif %}
        {% endblock %}
      </div>
    </div>
  </div>